player_wsn_datafreq_config Struct Reference

Request/reply: Change data delivery frequency. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | node_id
| The ID of the WSN node. More...
int32_t | group_id
| The Group ID of the WSN node. More...
double | frequency
| Requested frequency in Hz. More...

## Detailed Description

Request/reply: Change data delivery frequency.

By default, the frequency set for receiving data is set on the wireless node. Send a PLAYER_WSN_REQ_DATAFREQ request to change the frequency. Fill in the node ID or set -1 for all nodes. Null response.

## Member Data Documentation

double player_wsn_datafreq_config::frequency

Requested frequency in Hz.

int32_t player_wsn_datafreq_config::group_id

The Group ID of the WSN node.

-1 for all.

int32_t player_wsn_datafreq_config::node_id

The ID of the WSN node.

-1 for all.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45